#!/bin/bash
set -e
set -x

##
# Build LaTeX documents
##

make fonts

for presi in latex/*;do
#	[ "$presi" == "latex/mtheme" ] && break
#	[ "$presi" == "latex/fonts" ] && break

	for file in $presi/*.svg;do
		[ -e "$file" ] && make "${file%.svg}".eps
	done

	[ -e "$presi/index.tex" ] && make "$presi/index.pdf"
	[ -e "$presi/handout.odt" ] && make "$presi/handout.pdf"
done

##
# install nodejs modules
##

make revealjs/node_modules

##
# Build PDF for revealjs
##

for presi in revealjs/*;do
#	[ "$presi" == "revealjs/node_modules" ] && break

	[ -e "$presi/index.html" ] && make "$presi/index.pdf"

	[ -e $presi/handout.odt ] && make "$presi/handout.pdf"
done
